Crypto++ 8.5 Free C++ class library of cryptographic schemes

Public Types | Public Member Functions | List of all members
DL_PublicKey_ECGDSA< EC > Class Template Reference

Elliptic Curve German DSA key for ISO/IEC 15946. More...

## Public Types
typedef EC::Point | Element

## Public Member Functions
void | Initialize (const DL_GroupParameters_EC< EC > &params, const Element &Q)
| Initialize an EC Public Key using {GP,Q}. More...
void | Initialize (const EC &ec, const Element &G, const Integer &n, const Element &Q)
| Initialize an EC Public Key using {EC,G,n,Q}. More...
virtual void | AssignFrom (const NameValuePairs &source)
virtual void | SetPublicElement (const Element &y)
void | BERDecodePublicKey (BufferedTransformation &bt, bool parametersPresent, size_t size)
void | DEREncodePublicKey (BufferedTransformation &bt) const

## Detailed Description

### template<class EC>
class DL_PublicKey_ECGDSA< EC >

Elliptic Curve German DSA key for ISO/IEC 15946.

Template Parameters

  EC | elliptic curve field

See also
  ECGDSA

Since
  Crypto++ 6.0

Definition at line 409 of file eccrypto.h.

## Member Function Documentation

## ◆ Initialize() [1/2]

template<class EC >

void DL_PublicKey_ECGDSA< EC >::Initialize | ( | const DL_GroupParameters_EC< EC > & | params,
|  | const Element & | Q
| ) |  |
| inline

Initialize an EC Public Key using {GP,Q}.

Parameters

  params | group parameters
  Q | the public point

This Initialize() function overload initializes a public key from existing parameters.

Definition at line 513 of file eccrypto.h.

## ◆ Initialize() [2/2]

template<class EC >

void DL_PublicKey_ECGDSA< EC >::Initialize | ( | const EC & | ec,
|  | const Element & | G,
|  | const Integer & | n,
|  | const Element & | Q
| ) |  |
| inline

Initialize an EC Public Key using {EC,G,n,Q}.

Parameters

  ec | the elliptic curve
  G | the base point
  n | the order of the base point
  Q | the public point

This Initialize() function overload initializes a public key from existing parameters.

Definition at line 522 of file eccrypto.h.

The documentation for this class was generated from the following file:

- eccrypto.h